Montar máquina virtual con ubuntu 8.04 e instalar plone 2.5, para posteriormente migrar la base de datos del plone instalado en ITI, y
tener una copia para posterior migración a hosting propio.

History
#1 - 04/22/2013 01:03 PM - Javi Rodrigo Blanco

Instalación de Plone 2.5 sobre Ubutuntu 8.04 (alternativa)
Los pasos que se describen a continuación son para llevar a cabo la instalación de la versión 2.5.5 de Plone sobre una máquina virtual con S.O
Ubuntu 8.04 (Misma plataforma que la se encuentra desplegada actualmente en el ITI).

Instalación:
Instalar paquete plone-site. La primera vez ha fallado y hemos vuelto a lanzar la instalación del paquete, en la segunda ocasión todo a funcionado.

sudo apt-get install plone-site

Aparece un warning al final de la instalación. Para solucionarlo hacer lo siguiente:

sudo vim /var/lib/dpkg/info/plone-site.postinst

Dejar la línea 81 de la siguiente forma:

--service-port=$port --service-user=zope:zope $ZEOSERVER

A continuación ejecutar:

sudo dpkg-reconfigure plone-site

Al instalar desde el repositorio automáticamente nos levanta la instancia de Zope. Vamos a pararla y a instalar los productos (paquetes de plone), que
necesitamos. Los productos a instalar son los siguientes y hay que descomprimirlos en el directorio /var/lib/zope2.9/instances/plone-site/Products/  :

Para para la instancia hacemos lo siguiente:

cd /var/lib/zope2.9/instances/plone-site/bin
./zopectl stop

https://devel.gvsig.org/redmine/attachments/521/CMFDiffTooll-0.2-beta1.tar.gz
https://devel.gvsig.org/redmine/attachments/522/CMFEditions-1.0rc1.tgz
https://devel.gvsig.org/redmine/attachments/523/I18NFolder-3.0-beta8.tgz
https://devel.gvsig.org/redmine/attachments/524/LinguaPlone.tar.gz
https://devel.gvsig.org/redmine/attachments/525/PloneGossip-1.0.tar
https://devel.gvsig.org/redmine/attachments/526/windowZ-1.2.tar
https://devel.gvsig.org/redmine/attachments/527/ZopeVersionControl-0.3.3.tgz

Una vez descomprimidos los productos en el directorio levantamos la instancia:
cd /var/lib/zope2.9/instances/plone-site/bin
./zopectl start

Con esto tenemos instalada una instancia de zope. Por defecto la instancia corre sobre el puerto 8080, así que para aceder a ella simplemente
escribimos en el navegador: http://localhost:8080.

Para continuar seleccionamos el link donde indica "Zope Management Interface", para dirigirnos a la interfaz de administración de Zope. Una vez
hayamos seleccionado el link nos aparecerá un diálogo donde debemos introducir el usuario y contraseña del usuario administrador (el que hayamos
escogido durante la instalación)

Una vez nos hayamos logueado como usuario administrador accederemos a la interfaz de administración de Zope.

El siguiente paso es crear un sitio con Plone, para ello nos dirigimos al desplegable que aparecerá en la parte superior derecha y seleccionamos 
Plone Site.

Nos aparece una ventana donde debemos introducir el identificador de nuestro sitio plone (ej: gvsig), y le damos a añadir "Add plone site"

Una vez realizado esto  nos dirigimos a la url de nuestro sitio plone (con el id que hayamos seleccionado previamente), http://localhost:8080/gvsig, y
nos aparecerá nuestro sitio:

A continuación seleccionamos en la parte superior derecha "configuración del sitio", y en la siguiente página seleccionamos "Agregar o quitar
productos". Una vez seleccionemos "Agregar o quitar productos", nos aparecerá un listado con los productos que tenemos instalados y otro con
los productos que está disponibles para instalar. Seleccionamos todos los que estén disponibles para su instalación y procedemos a la misma.

Por último falta cargar los datos. Al momento de cargar los datos estos deberían ser los últimos disponibles. Actualmente hay una copia de los
mismos en la siguiente dirección: Datos Plone . 
*Paramos la instancia de Zope:

cd /var/lib/zope2.9/instances/plone-site/bin
./zopectl stop

Descomprimimos el archivo Data.fs.201304021334.gz dentro del directorio /var/lib/zope2.9/instances/plone-site/var
Reiniciamos la instancia de Zope:

cd /var/lib/zope2.9/instances/plone-site/bin
./zopectl start

Con esto ya tendríamos todo lo necesario.

#2 - 04/22/2013 01:09 PM - Joaquín  del Cerro Murciano
- File CMFDiffTooll-0.2-beta1.tar.gz added
- File CMFEditions-1.0rc1.tgz added
- File I18NFolder-3.0-beta8.tgz added
- File LinguaPlone.tar.gz added
- File PloneGossip-1.0.tar added
- File windowZ-1.2.tar added
- File ZopeVersionControl-0.3.3.tgz added

#3 - 04/22/2013 01:51 PM - Javi Rodrigo Blanco
- Estimated time changed from 3.00 to 16.00

#4 - 04/24/2013 10:14 AM - Javi Rodrigo Blanco
- Estimated time changed from 16.00 to 20.00

http://proyectos.scolab.es/redmine/projects/ctsi/wiki/Wiki#Instalación-de-Plone-25-sobre-Ubutuntu-804-alternativa

#5 - 01/05/2014 12:36 AM - José Vicente Higón
Plone a través de Apache
La configuración realizada para que funcione Plone a través de Apache ha sido la siguiente:

    -  En host anfitrión he configurado Pound para que el tráfico en el puerto 80 lo redirija al puerto 80 de la 10.0.0.1 (la máquina del Plone)
    -  En la máquina del Plone he puesto el Apache y le he añadido la siguiente configuración en /etc/apache2/sites-available/default

<IfModule mod_rewrite.c>
        RewriteEngine On
        RewriteRule ^/web(.*) http://localhost:8080/VirtualHostBase/http/%{SERVER_NAME}:80/plone/$1 [P]
        RewriteRule ^($|/.*) http://localhost:8080/VirtualHostBase/http/%{SERVER_NAME}:80$1 [P]
</IfModule>

Con esto debería funcionar pero aún quedan los siguiente detalles:
    -  Debemos redireccionar a https el tráfico seguro (cuando nos autenticamos). Una solución sencilla sería que todo fuese a HTTPS. Cuando se
pusiese http://gvsig.org redireccionaría directamente a https://gvsig.org (eso lo podemos hacer en el Pound).
    -  Hay URLs que están metidas a piñón (por ejemplo el banner de las 9as jornadas apunta a 
http://www.gvsig.org/web/community/events/jornadas-gvsig/9as/Documentos/header_en.jpg
    -  Estoy viendo que la configuración correcta del Plone detrás de un Apache no es tan sencillo como un simple Rewrite.

Creo que hay que hacer lo que pone en http://plone.org/documentation/kb/plone-apache

De momento está funcionando ...  http://188.165.222.168
